#! /usr/bin/env python

import random

from itertools import imap

MAX_INT = 2**16
VALID_INT_RANGE = ((-1 * MAX_INT) + 1, MAX_INT)


for N in (100, 1000, 10000):
    for kind in ('sorted-asc', 'sorted-desc', 'unsorted'):
        filename = '{kind}-{length}.in'.format(kind=kind, length=N)

        with open(filename, 'w') as f:
            array = (random.randint(*VALID_INT_RANGE) for i in xrange(N))

            if kind == 'sorted-asc':
                array = sorted(array)
            elif kind == 'sorted-desc':
                array = sorted(array, reverse=True)

            f.write('{length}\n'.format(length=N))
            f.write(' '.join(imap(str, array)))
            f.write('\n')
